{% autoescape false %}
<div class="gn-content--spaced">
    <fieldset id="publicationSmsForm" {% if communication.sent %}disabled{% endif %}>
        <form id="publicationForm{{ communication.channel }}" method="post" action="{{ domain }}/action/save/publication" class="needs-validation" novalidate>
            <input type="hidden" name="current-url" value="{{ currentUrl }}" />
            <input type="hidden" name="{{ csrf.keys.name }}" value="{{ csrf.name }}" />
            <input type="hidden" name="{{ csrf.keys.value }}" value="{{ csrf.value }}" />
            <input type="hidden" name="communication-id" value="{{ communication.id }}" />
            <input type="hidden" name="communication-id" value="{{ communication.id }}" />
            <input type="hidden" name="communication-channel" value="{{ communication.channel }}" />
            <input type="hidden" name="communication-schedule-date" value="{{ communication.scheduleDate is empty ? '' : communication.scheduleDate|date('d/m/Y à H:i', 'Europe/Paris') }}" />
            <h2 class="fr-h4">
                {% if communication.sent %}
                    Contenu partag&eacute; par SMS par @{{ communication.publisher.login }} le {{ communication.sendingDate|date('d/m/Y à H:i', 'Europe/Paris') }}
                {% else %}
                    Partager ce contenu par SMS
                    {% if communication.scheduleDate %}
                        <p class="fr-badge fr-badge--success fr-badge--no-icon gn-text--lower fr-py-1v fr-px-2w right">
                            Votre communication email est planifi&eacute;e le {{ communication.scheduleDate|date('d/m/Y') }} &agrave; {{ communication.scheduleDate|date('H:i') }}
                        </p>
                    {% endif %}
                {% endif %}
            </h2>
            <div class="fr-highlight">
                <p>Privil&eacute;giez l'envoi par email pour un message volumineux (plus de 160 caract&egrave;res) et dont la r&eacute;ception ne requiert pas une r&eacute;ception imm&eacute;diate.<br />
                    Par SMS, le message sera exp&eacute;di&eacute; &agrave; l'ensemble des num&eacute;ros de t&eacute;l&eacute;phone associ&eacute;s &agrave; la liste de diffusion.</p>
            </div>
            <div class="fr-select-group">
                <label class="fr-label" for="communication-distributionList-sms">Liste de diffusion</label>
                <select class="fr-select" id="communication-distributionList-sms" name="communication-distributionList" required>
                    <option value="" selected disabled hidden>Veuillez s&eacute;lectionner une liste de diffusion</option>
                    {% if distributionLists|length > 0 %}
                        {% for distribution in distributionLists %}
                            <option value=""></option>
                            {% set selected = '' %}
                            {% if distribution.id == communication.content.distributionList.id %}
                                {% set selected = 'selected' %}
                            {% endif %}
                            <option value="{{ distribution.id }}" {{ selected }}>{{ distribution.title }}</option>
                        {% endfor %}
                    {% else %}
                        <option value="">Aucune liste de diffusion, veuillez en cr&eacute;er une...</option>
                    {% endif %}
                </select>
                <p id="communication-distributionList-sms-input-error" class="fr-error-text">Veuillez s&eacute;lectionner une liste de diffusion.</p>
            </div>

            <div class="fr-grid-row">
                <div class="fr-col fr-col-6">
                    <div class="fr-input-group sms">
                        <label class="fr-label" for="communication-content-sms">Contenu</label>
                        <textarea class="fr-input" name="communication-content" id="communication-content-sms" maxlength="150" required>{{ communication.text|striptags|u.truncate(150, '...') }}</textarea>
                        <span id="characters"><span class="length"></span> caract&egrave;re<span class="text">s</span> restant<span class="text">s</span></span></span>
                        <p id="communication-content-sms-input-error" class="fr-error-text">Veuillez saisir un message de <span class="length"></span> caract&egrave;res maximum.</p>
                    </div>
                </div>
                <div class="fr-col fr-col-6">
                    <div id="sms-preview" class="fr-mb-2w">
                        <span>{{ communication.text|striptags|u.truncate(150, '...') }}
                        <a href="{{ communication.content.shortUrl }}" target="_blank">{{ communication.content.shortUrl }}</a></span>
                    </div>
                </div>
            </div>

            <ul class="fr-btns-group fr-btns-group--inline fr-btns-group--icon-left">
                <li>
                    <button class="fr-btn fr-icon-save-3-line save-communication">
                        Enregistrer
                    </button>
                </li>
                <li>
                    <button class="fr-btn fr-btn--secondary fr-icon-timer-fill schedule-publication"
                        data-communication-id="{{ communication.id}}"
                        data-communication-schedule-date="{{ communication.scheduleDate is empty ? '' : communication.scheduleDate|date('Y-m-d H:i') }}">
                        Programmer
                    </button>
                </li>
                <li class="send-button">
                    {% if not communication.scheduleDate %}
                        <button class="fr-btn fr-icon-send-plane-line confirm-publication">
                            Envoyer
                        </button>
                    {% endif %}
                </li>
            </ul>
        </form>
    </fieldset>
</div>
{% endautoescape %}
